<?php
/*
Plugin Name: Hotpix Pictures
Plugin URI: http://www.hotpix.org
Description: Affiche les dernières images sexy du site hotpix.org
Version: 1.0
Author: hotpix
Author URI: http://www.hotpix.org
*/

class Hotpix_Widget extends WP_Widget {
	function Hotpix_Widget() {
		parent::WP_Widget( false, $name = 'Hotpix Last pictures' );	
	}
	
	function widget( $args, $instance ) {
		echo '<div style="text-align: center;">';
			echo '<script src="http://www.hotpix.org/ejs.php?n='.$instance['num_posts'].'&w='.$instance['bloc_width'].'&iw='.$instance['img_width'].'"></script>';
		echo '</div>';
	}
	
	function form( $instance ) {
		$num_posts = intval( $instance['num_posts'] );
		$img_width = intval( $instance['img_width'] );
		$bloc_width = intval( $instance['bloc_width'] );
		
		if ( $num_posts < 1 OR $num_posts > 12) $num_posts = 1;
		if ( $bloc_width < 1 OR $bloc_width == 0) $bloc_width = 160;
		?>
		Nombre d'images : <select id="<?php echo $this->get_field_id('num_posts'); ?>" name="<?php echo $this->get_field_name( 'num_posts' ); ?>">
		<?php
			for ( $i = 1; $i <= 12; ++$i ) {
				echo "<option value='$i' " . ( $num_posts == $i ? "selected='selected'" : '' ) . ">$i</option>\n";
			}
		?>
		</select>
		<br />
		<p><label for="<?php echo $this->get_field_id( 'img_width' ); ?>"><?php _e( 'Largeur image:' ); ?> <input class="widefat" id="<?php echo $this->get_field_id( 'img_width' ); ?>" name="<?php echo $this->get_field_name( 'img_width' ); ?>" type="text" value="<?php echo $img_width; ?>" /></label></p>		
		<p><label for="<?php echo $this->get_field_id( 'bloc_width' ); ?>"><?php _e( 'Largeur bloc:' ); ?> <input class="widefat" id="<?php echo $this->get_field_id( 'bloc_width' ); ?>" name="<?php echo $this->get_field_name( 'bloc_width' ); ?>" type="text" value="<?php echo $bloc_width; ?>" /></label></p>		
        <?php 
	}	
}

add_action( 'widgets_init', create_function( '', 'return register_widget( "Hotpix_Widget" );' ) );









?>
